#plane of fire fight 2
from eventAPI import *
from APIUtils import *

rtpofireFlag2=0

def fireEvent(e):
   global rtpofireFlag2
   rtpofireFlag2 = getTag(e, "rtpofireFlag2")
   if (rtpofireFlag2 == 1):
      return 1
   else:
      fightThem(e)

def fightThem(e):
   combatRet = combat(e, [("Servant of Fire", 9, 2, 10), ("Fire Elemental", 20, 4, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtpofireFlag2
   rtpofireFlag2 = 1
   setTag(e, "rtpofireFlag2", rtpofireFlag2)
